claw::meta::is_base_of< Base, Derived > Struct Template Reference

This predicate tells if a class is derived from an other class. More...

`#include <is_base_of.hpp>`

## Public Types

enum | { result = ( sizeof(check( m_d )) == sizeof(char) ) }

## Detailed Description

template<typename Base, typename Derived>
struct claw::meta::is_base_of< Base, Derived >

This predicate tells if a class is derived from an other class.

Template parameters

- Base, the supposed base class,
- Derived, the derived type to check.

The result can be retrieved via the is_base_of::result value.

Author
  Julien Jorge

Definition at line 49 of file is_base_of.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename Base, typename Derived>

anonymous enum

Definition at line 59 of file is_base_of.hpp.

The documentation for this struct was generated from the following file:

- meta/is_base_of.hpp